GPUS=2
NNODES=1
NODE_RANK=${NODE_RANK:-0}
PORT=${PORT:-29158}
MASTER_ADDR=${MASTER_ADDR:-"127.0.0.1"}

PYTHONPATH="$(dirname $0)/..":$PYTHONPATH \
python -m torch.distributed.launch \
    --nnodes=$NNODES \
    --node_rank=$NODE_RANK \
    --master_addr=$MASTER_ADDR \
    --nproc_per_node=$GPUS \
    --master_port=$PORT  \
    utils/train.py \
    --config=local_configs.NYUDepthv2.DFormer_Large \
    --gpus=$GPUS

# config for DFormers on NYUDepthv2 
# local_configs.NYUDepthv2.DFormer_Large
# local_configs.NYUDepthv2.DFormer_Base
# local_configs.NYUDepthv2.DFormer_Small
# local_configs.NYUDepthv2.DFormer_Tiny

# config for DFormers on SUNRGBD 
# local_configs.SUNRGBD.SUNRGBD_DFormer_Large
# local_configs.SUNRGBD.SUNRGBD_DFormer_Base
# local_configs.SUNRGBD.SUNRGBD_DFormer_Small
# local_configs.SUNRGBD.SUNRGBD_DFormer_Tiny
